#
# spec file for package xmlgraphics-commons
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define section   free

Name:           xmlgraphics-commons
Version:        2.0
Release:        8.22
Summary:        XML Graphics Commons
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://xmlgraphics.apache.org/
Source0:        http://www.apache.org/dist/xmlgraphics/commons/source/xmlgraphics-commons-%{version}-src.tar.gz
Patch0:         xmlgraphics-commons-build_xml.patch
BuildArch:      noarch
BuildRequires:  ant >= 1.6.5
BuildRequires:  ant-junit
BuildRequires:  apache-commons-io >= 1.1
BuildRequires:  apache-commons-logging
BuildRequires:  gpg2
BuildRequires:  javapackages-tools
BuildRequires:  junit
BuildRequires:  xmlgraphics-batik
Requires:       jakarta-commons-io >= 1.1
Requires:       jakarta-commons-logging
Requires(post): javapackages-tools
Requires(postun):  javapackages-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Apache XML Graphics Commons is a library that consists of 
several reusable components used by Apache Batik and 
Apache FOP. Many of these components can easily be used 
separately outside the domains of SVG and XSL-FO. You will 
find components such as a PDF library, an RTF library, 
Graphics2D implementations that let you generate PDF & 
PostScript files, and much more.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation/HTML

%description javadoc

%{summary}.

%prep
%setup -q %{name}-%{version}
%patch0 -p0
find . -name "*.jar" | xargs rm

%build
export CLASSPATH=
export OPT_JAR_LIST="ant/ant-junit junit"
pushd lib
ln -sf $(build-classpath commons-io) .
ln -sf $(build-classpath commons-logging) .
popd
ant package javadocs maven-artifacts

%install
install -Dpm 644 build/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

#
# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 build/maven/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadocs/* %{buildroot}%{_javadocdir}/%{name}
#
install -dm 755 %{buildroot}%{_docdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%config %{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%changelog
* Tue Aug  4 2015 dvaleev@suse.com
- Revert previous change to build with older javapackages-tools in
  openSUSE:42
* Wed Mar 18 2015 tchvatal@suse.com
- Fix build with new javapackages-tools
* Fri Dec  5 2014 p.drouand@gmail.com
- Update to version 2.0
  + No changelog available
- Do not use gpg_verify anymore; OBS handles source verification
- Remove dependency on java-devel
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Fri Sep  6 2013 mvyskocil@suse.com
- format spec file
- use new add_maven_depmap macro
- build require apache-commons packages
- add gpg verification
* Wed Jan 23 2013 mvyskocil@suse.com
- fix javadoc installation
* Wed Oct 31 2012 mvyskocil@suse.com
- remove the symlink madness - jar and javadoc are not versioned anymore
* Wed Oct 24 2012 mvyskocil@suse.com
- update to 1.5
  * bug fix release
  * improved code practices
  * improved coverage of CCITTFax Group 3 image formats
  * removed com.sun classes usage
  * see http://xmlgraphics.apache.org/commons/changes.html#version_1.5
  * drop upstreamed java7 patch
* Mon Jun 18 2012 mvyskocil@suse.cz
- fix jdk7 build (Fedora patch)
* Wed Nov  3 2010 mvyskocil@suse.cz
- Initial packaging for SUSE (xmlgraphics-commons-1.3.1-2.jpp5.src.rpm)
